Package com.smartgwt.client.types

# Enum TourActionType

java.lang.Object
java.lang.Enum<TourActionType>
com.smartgwt.client.types.TourActionType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TourActionType>`, `Constable`

public enum TourActionType extends Enum<TourActionType> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  Interaction is allowed with the target but the user must click the next button to complete the step
  `CHANGE`
  The target FormItem must change to complete the step.
  `CLICK`
  The `target` must be clicked to complete the step
  `DOUBLECLICK`
  The target must be double-clicked to complete the step
  `DRAG`
  The target must be dragged to complete step.
  `MENUITEMOVER`
  The target locator should resolve to an item within a Menu that has a sub-menu.
  `MENUITEMSELECT`
  The target locator should resolve to an item within a Menu.
  `MOUSEDOWN`
  The target will complete the step on mouseDown
  `MOUSEOVER`
  The target must be moused-over to complete the step
  `NONE`
  No interaction is allowed with the target and the user must click the next button to complete the step
  `RIGHTCLICK`
  The target must be right-clicked to complete the step

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TourActionType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TourActionType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLICK

    public static final TourActionType CLICK
    The `target` must be clicked to complete the step

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "click".

  - ### MOUSEDOWN

    public static final TourActionType MOUSEDOWN
    The target will complete the step on mouseDown

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "mouseDown".

  - ### DOUBLECLICK

    public static final TourActionType DOUBLECLICK
    The target must be double-clicked to complete the step

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "doubleClick".

  - ### RIGHTCLICK

    public static final TourActionType RIGHTCLICK
    The target must be right-clicked to complete the step

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rightClick".

  - ### MOUSEOVER

    public static final TourActionType MOUSEOVER
    The target must be moused-over to complete the step

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "mouseOver".

  - ### DRAG

    public static final TourActionType DRAG
    The target must be dragged to complete step. If `dropTarget` is also specified, the target component must be dropped onto the `dropTarget`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "drag".

  - ### CHANGE

    public static final TourActionType CHANGE
    The target FormItem must change to complete the step. Specify `expectedValue` if a specific value must be entered to continue. Depending on the FormItem type this may occur by the user typing or by selecting a value. See `TourStep.inputValidation` for how validation is performed. Note: for composite formItems such as `DateItem` or `RadioGroupItem`, you may specify either the item as a whole or a sub item as the target. Either way the tour will look for the expected value on the composite (parent) item.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "change".

  - ### MENUITEMOVER

    public static final TourActionType MENUITEMOVER
    The target locator should resolve to an item within a Menu that has a sub-menu. The submenu must be opened (by rolling over, or clicking the target) to complete the step.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "menuItemOver".

  - ### MENUITEMSELECT

    public static final TourActionType MENUITEMSELECT
    The target locator should resolve to an item within a Menu. The item must be selected (clicked) to complete the step.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "menuItemSelect".

  - ### NONE

    public static final TourActionType NONE
    No interaction is allowed with the target and the user must click the next button to complete the step

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### ANY

    public static final TourActionType ANY
    Interaction is allowed with the target but the user must click the next button to complete the step

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "any".

- ## Method Details

  - ### values

    public static TourActionType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TourActionType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`